# Returns a list of records with the specified application_group_id

Returns a list of records with the specified application_group_id

Endpoint: GET /applications/{tenantId}/applicationGroup/{application_group_id}
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The tenant

  - `application_group_id` (string, required)
    The application_group_id to use to for record lookup

## Query parameters:

  - `fields` (string)
    The fields that you want to retrieve; if omitted, the entire object is returned

  - `exclusiveStartKey` (string)
    If paging, this allows you to return the next set of results

## Response 200:

  - `200` (unknown)
    The records were retrieved successfully

## Response 200 fields (application/json):

  - `Count` (integer)

  - `Items` (array)

  - `Items.add_ons` (array)

  - `Items.add_ons.add_on_id` (string, required)
    The add on

  - `Items.add_ons.quantity` (number)
    The quantity of add on

  - `Items.additional_chapter_ids` (array)
    Additional chapter IDs

  - `Items.application_group_id` (string)
    The associated application group

  - `Items.assigned_contacts` (array)

  - `Items.assigned_contacts.add_on_ids` (array)
    The add ons this individual would like

  - `Items.assigned_contacts.chapter_ids` (array)
    The chapters this individual would like to join

  - `Items.assigned_contacts.contact_id` (string)

  - `Items.assigned_contacts.new_contact_info` (object)

  - `Items.assigned_contacts.section_ids` (array)
    The sections this individual would like to join

  - `Items.assigned_contacts.type` (string, required)
    Enum: "existing", "new"

  - `Items.average_score` (number)
    The average score for this submission in the most recent round

  - `Items.bucket_id` (string, required)
    The review bucket

  - `Items.chapter_id` (string)
    The chapter ID

  - `Items.contact_id` (string, required)
    The owner of this membership

  - `Items.corporate_member_ids` (array)
    The individuals that should receive the corporate membership

  - `Items.custom_field_values` (array)

  - `Items.custom_field_values.boolean_value` (boolean)
    The boolean value

  - `Items.custom_field_values.custom_field_id` (string)
    The unique identifier of the custom field

  - `Items.custom_field_values.file_url_value` (string)
    The pointer to a file value

  - `Items.custom_field_values.list_value` (array)
    The list value

  - `Items.custom_field_values.numeric_value` (number)
    The numeric value

  - `Items.custom_field_values.string_value` (string)
    The string value of the custom field

  - `Items.custom_field_values.table_value` (array)
    A list of objects (a table)

  - `Items.date` (string)
    The date of the application

  - `Items.do_not_renew` (boolean)
    Do not attempt to automatically renew this membership

  - `Items.do_not_show_in_directory` (boolean)
    Whether or not this membership should be hidden from the directory

  - `Items.group_application_process_id` (string)
    The associated application group application

  - `Items.group_order` (number)
    The order of the application in the group

  - `Items.hidden_directory_fields` (array)
    The fields that should not be shown for this member in the directory

  - `Items.id` (string, required)
    The unique, string identifier of this application

  - `Items.included_merchandise` (array)

  - `Items.included_merchandise.modifier_options` (array)

  - `Items.included_merchandise.modifier_options.option_id` (string, required)
    The modifier option ID

  - `Items.included_merchandise.modifier_options.option_name` (string)

  - `Items.included_merchandise.modifier_options.value` (string)
    The value of the option

  - `Items.included_merchandise.product_id` (string, required)
    The id of the product

  - `Items.included_merchandise.product_type` (string, required)
    The type of product

  - `Items.included_merchandise.sku` (string)
    The SKU of the product, if applicable

  - `Items.included_merchandise.variant_options` (array)

  - `Items.included_merchandise.variant_options.option_id` (string, required)
    The variant option ID

  - `Items.included_merchandise.variant_options.option_name` (string)

  - `Items.included_merchandise.variant_options.value` (string)
    The value of the option

  - `Items.last_review_status_change` (string)
    The date that the review status was last changed

  - `Items.membership_package_id` (string)
    The membership package

  - `Items.membership_type_id` (string)
    The membership type

  - `Items.name` (string, required)
    The name on the application

  - `Items.notes` (string)
    Notes

  - `Items.order_id` (string)
    The order id

  - `Items.order_line_item_id` (string)
    The order line item id

  - `Items.organization_id` (string, required)
    The organizational owner of this membership

  - `Items.override_bucket_assignment` (boolean)
    If set, the bucket is not calculated automatically, and instead manually assigned

  - `Items.override_join_date` (string)
    Allows for applications that override join date

  - `Items.owner_type` (string, required)
    The type of owner
    Enum: "contact", "organization"

  - `Items.pending_console_review` (boolean)
    If true, then this record has been reviewed and now needs action by the staff

  - `Items.process_id` (string, required)
    The application process used

  - `Items.referral_contact_id` (string)
    The individual who referred this member

  - `Items.renew_automatically` (boolean)
    If set, then this membership will automatically renew with the card on file

  - `Items.review_status` (string)
    The review status of this application
    Enum: "accepted", "alternate", "declined", "pending review"

  - `Items.reviewer_recommendation` (string)
    Aggregate recommendation across all reviewers

  - `Items.round_id` (string)
    The review round

  - `Items.section_ids` (array)

  - `Items.status` (string, required)
    The membership application status
    Enum: "approved", "not yet submitted", "rejected", "under review"

  - `Items.status_reason_id` (string)
    The reason that a membership application is in the specific status

  - `Items.submission_space_id` (string)
    The submission space to which this object belongs

  - `Items.sys_bulk_load_at` (string)
    If this record was loaded via bulk, the timestamp when the record was processed

  - `Items.sys_bulk_load_id` (string)
    If this record was loaded via bulk, the ID of the bulk load process

  - `Items.sys_bulk_load_pk` (string)
    If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

  - `Items.sys_bulk_load_record_no` (number)
    If this record was loaded via bulk, the record number in the source file

  - `Items.sys_bulk_load_source_file` (string)
    If this record was loaded via bulk, the source file

  - `Items.sys_calculated_field_error` (string)
    The error associated with the calculated field

  - `Items.sys_calculated_field_errors` (array)

  - `Items.sys_calculated_field_errors.error` (string)

  - `Items.sys_calculated_field_errors.field` (string)

  - `Items.sys_configuration_snapshot_id` (string)
    If a snapshot was restored/applies to this record, the ID of the snapshot

  - `Items.sys_created_at` (string, required)
    The date/time that this record was created, expressed in ISO-8601 date format

  - `Items.sys_created_by_id` (string, required)
    The ID of the user that created this record

  - `Items.sys_deleted_by_id` (string)
    The ID of the user that deleted (or last tried to delete) this object

  - `Items.sys_directive` (string)
    Means for passing directive information into an object processing logic

  - `Items.sys_external_id` (string)
    The ID that a record has from an external system or data import

  - `Items.sys_has_files_in_s3` (boolean)
    If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

  - `Items.sys_last_bulk_data_operation_id` (string)
    If this record was last touched by a bulk data operation, the ID of that operation

  - `Items.sys_last_bulk_data_operation_sys_version` (string)
    If this record was last touched by a bulk data operation, the sys_version at the time of that operation

  - `Items.sys_last_modified_at` (string, required)
    The date/time that this record record was last modified, expressed in ISO-8601 date format

  - `Items.sys_last_modified_by_id` (string, required)
    The ID of the user that last modified this record

  - `Items.sys_last_security_context` (object)
    The security context of the last insert, modify, or delete performed on this item

  - `Items.sys_locked` (boolean)
    If set, this record is locked and cannot be changed via the API

  - `Items.sys_snapshot_base_version` (number)
    The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

  - `Items.sys_version` (number)
    A number representing the version of this record in the database

  - `Items.total_score` (number)
    The total score for this submission in the most recent round

  - `Items.type` (string, required)
    Enum: "change affiliations", "join", "reinstatement", "renewal"

  - `LastEvaluatedKey` (string)

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The request was not valid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    Unable to locate records

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to retrieve records based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

